# $Revision: 1.18 $, $Date: 2012/03/05 06:26:31 $
Summary:	X.org input driver for Fujitsu Stylistic Tablet PCs
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla komputerów Fujitsu Stylistic Tablet
Name:		xorg-driver-input-fpit
Version:	1.4.0
Release:	3
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-fpit-%{version}.tar.bz2
# Source0-md5:	042c95fec145d8b57ca62714131ff3f1
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRequires:	xorg-xserver-server-devel >= 1.10.0
BuildRequires:  rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Fujitsu Stylistic Tablet PCs. This driver
supports the touchscreen of the Stylistic LT and (with special
options) of the Stylistic 500, 1000, 1200, 2300 and 3400. Modern
FinePoint MP800 devices will also work with this driver.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla komputerów Fujitsu Stylistic Tablet. Ten
sterownik obsługuje ekrany dotykowe Stylistic LT i (ze specjalnymi
opcjami) Stylistic 500, 1000, 1200, 2300 i 3400. Nowe urządzenia
FinePoint MP800 także będą działać z tym sterownikiem.

%prep
%setup -q -n xf86-input-fpit-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README readme.txt
%attr(755,root,root) %{_libdir}/xorg/modules/input/fpit_drv.so
%{_datadir}/X11/xorg.conf.d/50-fpit.conf
%{_mandir}/man4/fpit.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-fpit.spec,v $
Revision 1.18  2012/03/05 06:26:31  arekm
- release 3

Revision 1.17  2011/08/27 09:00:20  arekm
- release 2

Revision 1.16  2011/06/28 18:58:35  qboosh
- updated to 1.4.0

Revision 1.15  2010/08/29 06:58:58  qboosh
- added README to docs
- updated util-macros version
- release 3.1 (doesn't build with current xserver)

Revision 1.14  2009/10/02 08:26:52  arekm
- release 3

Revision 1.13  2009/02/25 21:12:00  arekm
- release 2

Revision 1.12  2009/02/18 07:30:27  arekm
- up to 1.3.0

Revision 1.11  2008/07/01 16:04:20  arekm
- release 2

Revision 1.10  2008-05-10 07:41:17  qboosh
- updated to 1.2.0

Revision 1.9  2007-09-06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.8  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2006/04/10 12:51:32  qboosh
- updated to 1.1.0

Revision 1.4  2006/01/05 12:21:26  qboosh
- 1.0.0.5 (X11R7.0 release)

Revision 1.3  2005/12/06 15:25:08  qboosh
- 1.0.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 12:09:07  qboosh
- 1.0.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/28 21:29:20  qboosh
- new
